import { WatchQueryOptions as CoreWatchQueryOptions, QueryOptions as CoreQueryOptions, MutationOptions as CoreMutationOptions, SubscriptionOptions as CoreSubscriptionOptions } from 'apollo-client';
import { ExecutionResult } from 'graphql';
export declare type R = Record<string, any>;
export declare type TypedVariables<T> = {
    variables?: T;
};
export interface ExtraSubscriptionOptions {
    useZone?: boolean;
}
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export interface WatchQueryOptions extends Omit<CoreWatchQueryOptions, 'query' | 'variables'> {
}
export interface QueryOptions extends Omit<CoreQueryOptions, 'query' | 'variables'> {
}
export interface MutationOptions extends Omit<CoreMutationOptions, 'mutation' | 'variables'> {
}
export interface SubscriptionOptions extends Omit<CoreSubscriptionOptions, 'query' | 'variables'> {
}
export interface SubscriptionResult<T> extends ExecutionResult {
    data?: T;
}
